Skip to main content
GET
/
recipients
/
{recipient_id}
/
onboardings
/
{onboarding_id}
Get Onboarding
curl --request GET \
  --url https://api-sandbox.y.uno/v1/recipients/{recipient_id}/onboardings/{onboarding_id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "104911d-5df9-429e-8488-ad41abea1a4b",
  "account_id": "9104911d-5df9-429e-8488-ad41abea1a4b",
  "recipient_id": "9104911d-5df9-429e-8488-ad41abea1a4b",
  "type": "PREVIOUSLY_ONBOARDED",
  "workflow": "HOSTED_BY_PROVIDER",
  "status": "ACTIVE",
  "callback_url": "https://www.google.com",
  "provider": {
    "id": "PAGARME",
    "connection_id": "104911d-5df9-429e-8488-ad41abea1a4b",
    "recipient_id": "AAAAA01"
  },
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}
Retrieves detailed information about a specific onboarding for a recipient. This endpoint retrieves detailed information about a specific onboarding for a recipient in the split payments marketplace. Use this endpoint to check the current status, configuration, and details of an existing onboarding. This endpoint requires an existing onboarding created via Create Onboarding.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

recipient_id
string
required

ID of the recipient

onboarding_id
string
required

ID of the onboarding to retrieve

Response

Onboarding details retrieved successfully

id
string

The unique identifier of the onboarding

Example:

"104911d-5df9-429e-8488-ad41abea1a4b"

account_id
string

Unique id of the account in Yuno

Example:

"9104911d-5df9-429e-8488-ad41abea1a4b"

recipient_id
string

The unique identifier of the recipient

Example:

"9104911d-5df9-429e-8488-ad41abea1a4b"

type
enum<string>

Type of onboarding flow

Available options:
PREVIOUSLY_ONBOARDED,
ONE_STEP_ONBOARDING,
TWO_STEP_ONBOARDING
Example:

"PREVIOUSLY_ONBOARDED"

workflow
enum<string>

Workflow of the onboarding

Available options:
HOSTED_BY_PROVIDER,
HOSTED_BY_YUNO,
DIRECT
Example:

"HOSTED_BY_PROVIDER"

status
string

Current status of the onboarding

Example:

"ACTIVE"

callback_url
string<uri>

URL to redirect after the onboarding process

Example:

"https://www.google.com"

provider
object
created_at
string<date-time>

Onboarding creation date

Example:

"2024-01-15T10:30:00Z"

updated_at
string<date-time>

Onboarding last update date

Example:

"2024-01-15T10:30:00Z"